import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-25 14:24
 */
export interface TAppUserModel {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    * app编码
    * @type { string }
    */
    appcode?: string;
    /**
    * app名称
    * @type { string }
    */
    appname?: string;
    /**
    * APP密钥
    * @type { string }
    */
    appkey?: string;
    /**
    * app的查询车场id权限，车场ID以“,”分割；0：表示全部车场
    * @type { string }
    */
    applotids?: string;
    /**
    *
    * @type { number }
    */
    isfilt?: number;
    /**
    * 0:未审核 1：启用 2:禁用 3：删除
    * @type { number }
    */
    state?: number;
}
export declare class TAppUserModelMI {
    static get ID(): FieldInfo;
    static get APPCODE(): FieldInfo;
    static get APPNAME(): FieldInfo;
    static get APPKEY(): FieldInfo;
    static get APPLOTIDS(): FieldInfo;
    static get ISFILT(): FieldInfo;
    static get STATE(): FieldInfo;
}
